Method: projects.locations.apps.evaluations.export

Exports evaluations.

HTTP request

POST https://ces.googleapis.com/v1beta/{parent=projects/*/locations/*/apps/*}/evaluations:export

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The resource name of the app to export evaluations from. Format: projects/{project}/locations/{location}/apps/{app}

Request body

The request body contains data with the following structure:

JSON representation
{
  "names": [
    string
  ],
  "exportOptions": {
    object (ExportOptions)
  },
  "includeEvaluationResults": boolean,
  "includeEvaluations": boolean
}
Fields
names[]

string

Required. The resource names of the evaluations to export.

exportOptions

object (ExportOptions)

Optional. The export options for the evaluations.

includeEvaluationResults

boolean

Optional. Includes evaluation results in the export. At least one of includeEvaluationResults or includeEvaluations must be set.

includeEvaluations

boolean

Optional. Includes evaluations in the export. At least one of includeEvaluationResults or includeEvaluations must be set.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/ces

For more information, see the Authentication Overview.

ExportOptions

Options for exporting CES evaluation resources.

JSON representation
{
  "exportFormat": enum (ExportOptions.ExportFormat),
  "gcsUri": string
}
Fields
exportFormat

enum (ExportOptions.ExportFormat)

Optional. The format to export the evaluation results in. Defaults to JSON if not specified.

gcsUri

string

Optional. The Google Cloud Storage URI to write the exported Evaluation Results to.

ExportOptions.ExportFormat

The format to export the items in. Defaults to JSON if not specified.

Enums
EXPORT_FORMAT_UNSPECIFIED Unspecified format.
JSON JSON format.
YAML YAML format.